# Class CIM_IPNetworkIdentity
extends CIM_Identity

IPNetworkIdentity is used to represent the various network identities that may be used for an IPProtocolEndpoint. The relationship between the NetworkIdentity and the IPProtocolEndpoint is modeled by the AssignedIdentity association, inherited from CIM_Identity. This association could also be used to relate an address range or other endpoint collection with the Identity.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Identity
|
+--CIM_IPNetworkIdentity

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IPNetworkIdentity is used to represent the various network identities that may be used for an IPProtocolEndpoint. The relationship between the NetworkIdentity and the IPProtocolEndpoint is modeled by the AssignedIdentity association, inherited from CIM_Identity. This association could also be used to relate an address range or other endpoint collection with the Identity.
MappingStrings | string | IPSP Policy Model.IETF|IKEIdentity
UMLPackagePath | string | CIM::User::Identity
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IdentityType | uint16 |
Description | string | The IdentityType specifies the type of IP network Identity. The list of identities was generated from Section 4.6.2.1 of RFC2407. Note that the enumeration is different than the RFC list, since the value 'Other' is taken into account.
MappingStrings | string | IPSP Policy Model.IETF|IKEIdentity.IdentityType, RFC2407.IETF|Section 4.6.2.1
ModelCorrespondence | string | CIM_IPNetworkIdentity.IdentityValue
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..
Values | string | Other, IPV4 Address, FQDN, User FQDN, IPV4 Subnet Address, IPV6 Address, IPV6 Subnet Address, IPV4 Address Range, IPV6 Address Range, DER ASN1 DN, DER ASN1 GN, KEY ID, DMTF Reserved, Vendor Reserved
IdentityValue | string |
Description | string | IdentityValue contains a string encoding of the Identity. For Identity instances that are address types, the IdentityValue string value may be omitted and the associated IPProtocolEndpoint, RangeOfIPAddresses or similar class is used to define this information. The class is associated using the AssignedIdentity relationship.
MappingStrings | string | IPSP Policy Model.IETF|IKEIdentity.IdentityValue
ModelCorrespondence | string | CIM_IPNetworkIdentity.IdentityType
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CurrentlyAuthenticated | boolean | CIM_Identity
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_Identity

## Class Methods